# 🚀 MCP Feedback Enhanced 简单安装说明

## 📋 最简单的安装方法

### 方法一：使用快速启动脚本（推荐）

```bash
# 1. 进入项目目录
cd /path/to/interactive-mcp-server

# 2. 运行快速启动脚本
./快速启动.sh
```

脚本会自动：
- ✅ 检查 Python 版本
- ✅ 创建虚拟环境
- ✅ 安装所有依赖
- ✅ 测试安装是否成功
- ✅ 启动服务器

### 方法二：手动安装

```bash
# 1. 进入项目目录
cd /path/to/interactive-mcp-server

# 2. 安装依赖
pip3 install -e .

# 3. 启动服务器
python3 -m mcp_feedback_enhanced
```

## 🔍 验证安装

运行以下命令检查是否安装成功：

```bash
python3 -c "
from mcp.types import ImageContent
from fastmcp import FastMCP
print('✅ 安装成功！')
"
```

## 🚀 启动服务器

### 基本启动
```bash
python3 -m mcp_feedback_enhanced
```

### 调试模式启动
```bash
MCP_DEBUG=true python3 -m mcp_feedback_enhanced
```

## 📱 使用说明

1. **启动服务器**后，您会看到：
   ```
   [INFO] MCP Feedback Enhanced 服务器启动中...
   [INFO] 服务器就绪，等待连接...
   ```

2. **通过 MCP 客户端**调用 `interactive_feedback` 工具

3. **Web UI 会自动打开**，您可以：
   - 输入文字反馈
   - 上传图片
   - 提交反馈给 AI 助手

## ❓ 常见问题

### Q: 出现 "ModuleNotFoundError" 错误？
**A:** 运行 `pip3 install fastmcp mcp`

### Q: 出现端口占用错误？
**A:** 使用不同端口：`python3 -m mcp_feedback_enhanced --port 8001`

### Q: 图片上传出现序列化错误？
**A:** 我们已经修复了这个问题！确保使用最新版本。

## 🎯 测试图片功能

1. 启动服务器
2. 通过 MCP 客户端调用工具
3. 在 Web UI 中上传图片
4. 确认没有错误信息

**预期结果：**
- ✅ 图片成功上传
- ✅ 没有序列化错误
- ✅ AI 助手能正确接收图片

## 📞 需要帮助？

如果遇到问题：

1. **查看详细日志**：`MCP_DEBUG=true python3 -m mcp_feedback_enhanced`
2. **检查 Python 版本**：`python3 --version` (需要 3.9+)
3. **重新安装依赖**：`pip3 install --force-reinstall -e .`

---

## 🎉 快速开始总结

```bash
# 一键启动（推荐）
cd /path/to/interactive-mcp-server
./快速启动.sh

# 或者手动启动
pip3 install -e .
python3 -m mcp_feedback_enhanced
```

就这么简单！🚀
